| Home | Libraries | People | FAQ | More

## Macro BOOST_MOVABLE_BUT_NOT_COPYABLE

BOOST_MOVABLE_BUT_NOT_COPYABLE

## Synopsis

    // In header: <boost/move/core.hpp>

    BOOST_MOVABLE_BUT_NOT_COPYABLE(TYPE)

## Description

This macro marks a type as movable but not copyable, disabling copy construction and assignment. The user will need to write a move constructor/assignment as explained in the documentation to fully write a movable but not copyable class.